﻿//this source code was auto-generated by tolua#, do not modify it
using System;
using LuaInterface;

public class CameraPathAnimatorWrap
{
	public static void Register(LuaState L)
	{
		L.BeginClass(typeof(CameraPathAnimator), typeof(UnityEngine.MonoBehaviour));
		L.RegFunction("Play", Play);
		L.RegFunction("Stop", Stop);
		L.RegFunction("Pause", Pause);
		L.RegFunction("Seek", Seek);
		L.RegFunction("Reverse", Reverse);
		L.RegFunction("GetOrientation", GetOrientation);
		L.RegFunction("GetAnimatedOrientation", GetAnimatedOrientation);
		L.RegFunction("ToXML", ToXML);
		L.RegFunction("FromXML", FromXML);
		L.RegFunction("__eq", op_Equality);
		L.RegFunction("__tostring", ToLua.op_ToString);
		L.RegVar("minimumCameraSpeed", get_minimumCameraSpeed, set_minimumCameraSpeed);
		L.RegVar("orientationTarget", get_orientationTarget, set_orientationTarget);
		L.RegVar("playOnStart", get_playOnStart, set_playOnStart);
		L.RegVar("animationObject", get_animationObject, set_animationObject);
		L.RegVar("animationMode", get_animationMode, set_animationMode);
		L.RegVar("smoothOrientationModeChanges", get_smoothOrientationModeChanges, set_smoothOrientationModeChanges);
		L.RegVar("orientationModeLerpTime", get_orientationModeLerpTime, set_orientationModeLerpTime);
		L.RegVar("fixedOrientaion", get_fixedOrientaion, set_fixedOrientaion);
		L.RegVar("fixedPosition", get_fixedPosition, set_fixedPosition);
		L.RegVar("normalised", get_normalised, set_normalised);
		L.RegVar("editorPercentage", get_editorPercentage, set_editorPercentage);
		L.RegVar("nearestOffset", get_nearestOffset, set_nearestOffset);
		L.RegVar("startPercent", get_startPercent, set_startPercent);
		L.RegVar("animateFOV", get_animateFOV, set_animateFOV);
		L.RegVar("targetModeUp", get_targetModeUp, set_targetModeUp);
		L.RegVar("lockZRotation", get_lockZRotation, set_lockZRotation);
		L.RegVar("sensitivity", get_sensitivity, set_sensitivity);
		L.RegVar("minX", get_minX, set_minX);
		L.RegVar("maxX", get_maxX, set_maxX);
		L.RegVar("animatedObjectStartPosition", get_animatedObjectStartPosition, set_animatedObjectStartPosition);
		L.RegVar("animatedObjectStartRotation", get_animatedObjectStartRotation, set_animatedObjectStartRotation);
		L.RegVar("pathSpeed", get_pathSpeed, set_pathSpeed);
		L.RegVar("animationTime", get_animationTime, set_animationTime);
		L.RegVar("currentTime", get_currentTime, null);
		L.RegVar("isPlaying", get_isPlaying, null);
		L.RegVar("percentage", get_percentage, null);
		L.RegVar("pingPongGoingForward", get_pingPongGoingForward, null);
		L.RegVar("cameraPath", get_cameraPath, null);
		L.RegVar("dynamicNormalisation", get_dynamicNormalisation, set_dynamicNormalisation);
		L.RegVar("orientationMode", get_orientationMode, set_orientationMode);
		L.RegVar("isCamera", get_isCamera, null);
		L.RegVar("animateSceneObjectInEditor", get_animateSceneObjectInEditor, set_animateSceneObjectInEditor);
		L.RegVar("AnimationStartedEvent", get_AnimationStartedEvent, set_AnimationStartedEvent);
		L.RegVar("AnimationPausedEvent", get_AnimationPausedEvent, set_AnimationPausedEvent);
		L.RegVar("AnimationStoppedEvent", get_AnimationStoppedEvent, set_AnimationStoppedEvent);
		L.RegVar("AnimationFinishedEvent", get_AnimationFinishedEvent, set_AnimationFinishedEvent);
		L.RegVar("AnimationLoopedEvent", get_AnimationLoopedEvent, set_AnimationLoopedEvent);
		L.RegVar("AnimationPingPongEvent", get_AnimationPingPongEvent, set_AnimationPingPongEvent);
		L.RegVar("AnimationPointReachedEvent", get_AnimationPointReachedEvent, set_AnimationPointReachedEvent);
		L.RegVar("AnimationPointReachedWithNumberEvent", get_AnimationPointReachedWithNumberEvent, set_AnimationPointReachedWithNumberEvent);
		L.RegVar("AnimationCustomEvent", get_AnimationCustomEvent, set_AnimationCustomEvent);
		L.RegFunction("AnimationCustomEventHandler", CameraPathAnimator_AnimationCustomEventHandler);
		L.RegFunction("AnimationPointReachedWithNumberEventHandler", CameraPathAnimator_AnimationPointReachedWithNumberEventHandler);
		L.RegFunction("AnimationPointReachedEventHandler", CameraPathAnimator_AnimationPointReachedEventHandler);
		L.RegFunction("AnimationPingPongEventHandler", CameraPathAnimator_AnimationPingPongEventHandler);
		L.RegFunction("AnimationLoopedEventHandler", CameraPathAnimator_AnimationLoopedEventHandler);
		L.RegFunction("AnimationFinishedEventHandler", CameraPathAnimator_AnimationFinishedEventHandler);
		L.RegFunction("AnimationStoppedEventHandler", CameraPathAnimator_AnimationStoppedEventHandler);
		L.RegFunction("AnimationPausedEventHandler", CameraPathAnimator_AnimationPausedEventHandler);
		L.RegFunction("AnimationStartedEventHandler", CameraPathAnimator_AnimationStartedEventHandler);
		L.EndClass();
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int Play(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 1);
			CameraPathAnimator obj = (CameraPathAnimator)ToLua.CheckObject<CameraPathAnimator>(L, 1);
			obj.Play();
			return 0;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int Stop(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 1);
			CameraPathAnimator obj = (CameraPathAnimator)ToLua.CheckObject<CameraPathAnimator>(L, 1);
			obj.Stop();
			return 0;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int Pause(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 1);
			CameraPathAnimator obj = (CameraPathAnimator)ToLua.CheckObject<CameraPathAnimator>(L, 1);
			obj.Pause();
			return 0;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int Seek(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 2);
			CameraPathAnimator obj = (CameraPathAnimator)ToLua.CheckObject<CameraPathAnimator>(L, 1);
			float arg0 = (float)LuaDLL.luaL_checknumber(L, 2);
			obj.Seek(arg0);
			return 0;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int Reverse(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 1);
			CameraPathAnimator obj = (CameraPathAnimator)ToLua.CheckObject<CameraPathAnimator>(L, 1);
			obj.Reverse();
			return 0;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int GetOrientation(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 4);
			CameraPathAnimator obj = (CameraPathAnimator)ToLua.CheckObject<CameraPathAnimator>(L, 1);
			CameraPathAnimator.orientationModes arg0 = (CameraPathAnimator.orientationModes)ToLua.CheckObject(L, 2, typeof(CameraPathAnimator.orientationModes));
			float arg1 = (float)LuaDLL.luaL_checknumber(L, 3);
			bool arg2 = LuaDLL.luaL_checkboolean(L, 4);
			UnityEngine.Quaternion o = obj.GetOrientation(arg0, arg1, arg2);
			ToLua.Push(L, o);
			return 1;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int GetAnimatedOrientation(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 3);
			CameraPathAnimator obj = (CameraPathAnimator)ToLua.CheckObject<CameraPathAnimator>(L, 1);
			float arg0 = (float)LuaDLL.luaL_checknumber(L, 2);
			bool arg1 = LuaDLL.luaL_checkboolean(L, 3);
			UnityEngine.Quaternion o = obj.GetAnimatedOrientation(arg0, arg1);
			ToLua.Push(L, o);
			return 1;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int ToXML(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 1);
			CameraPathAnimator obj = (CameraPathAnimator)ToLua.CheckObject<CameraPathAnimator>(L, 1);
			string o = obj.ToXML();
			LuaDLL.lua_pushstring(L, o);
			return 1;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int FromXML(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 2);
			CameraPathAnimator obj = (CameraPathAnimator)ToLua.CheckObject<CameraPathAnimator>(L, 1);
			System.Xml.XmlNode arg0 = (System.Xml.XmlNode)ToLua.CheckObject<System.Xml.XmlNode>(L, 2);
			obj.FromXML(arg0);
			return 0;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int op_Equality(IntPtr L)
	{
		try
		{
			ToLua.CheckArgsCount(L, 2);
			UnityEngine.Object arg0 = (UnityEngine.Object)ToLua.ToObject(L, 1);
			UnityEngine.Object arg1 = (UnityEngine.Object)ToLua.ToObject(L, 2);
			bool o = arg0 == arg1;
			LuaDLL.lua_pushboolean(L, o);
			return 1;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int get_minimumCameraSpeed(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			CameraPathAnimator obj = (CameraPathAnimator)o;
			float ret = obj.minimumCameraSpeed;
			LuaDLL.lua_pushnumber(L, ret);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o, "attempt to index minimumCameraSpeed on a nil value");
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int get_orientationTarget(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			CameraPathAnimator obj = (CameraPathAnimator)o;
			UnityEngine.Transform ret = obj.orientationTarget;
			ToLua.Push(L, ret);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o, "attempt to index orientationTarget on a nil value");
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int get_playOnStart(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			CameraPathAnimator obj = (CameraPathAnimator)o;
			bool ret = obj.playOnStart;
			LuaDLL.lua_pushboolean(L, ret);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o, "attempt to index playOnStart on a nil value");
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int get_animationObject(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			CameraPathAnimator obj = (CameraPathAnimator)o;
			UnityEngine.Transform ret = obj.animationObject;
			ToLua.Push(L, ret);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o, "attempt to index animationObject on a nil value");
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int get_animationMode(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			CameraPathAnimator obj = (CameraPathAnimator)o;
			CameraPathAnimator.animationModes ret = obj.animationMode;
			ToLua.Push(L, ret);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o, "attempt to index animationMode on a nil value");
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int get_smoothOrientationModeChanges(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			CameraPathAnimator obj = (CameraPathAnimator)o;
			bool ret = obj.smoothOrientationModeChanges;
			LuaDLL.lua_pushboolean(L, ret);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o, "attempt to index smoothOrientationModeChanges on a nil value");
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int get_orientationModeLerpTime(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			CameraPathAnimator obj = (CameraPathAnimator)o;
			float ret = obj.orientationModeLerpTime;
			LuaDLL.lua_pushnumber(L, ret);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o, "attempt to index orientationModeLerpTime on a nil value");
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int get_fixedOrientaion(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			CameraPathAnimator obj = (CameraPathAnimator)o;
			UnityEngine.Vector3 ret = obj.fixedOrientaion;
			ToLua.Push(L, ret);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o, "attempt to index fixedOrientaion on a nil value");
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int get_fixedPosition(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			CameraPathAnimator obj = (CameraPathAnimator)o;
			UnityEngine.Vector3 ret = obj.fixedPosition;
			ToLua.Push(L, ret);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o, "attempt to index fixedPosition on a nil value");
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int get_normalised(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			CameraPathAnimator obj = (CameraPathAnimator)o;
			bool ret = obj.normalised;
			LuaDLL.lua_pushboolean(L, ret);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o, "attempt to index normalised on a nil value");
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int get_editorPercentage(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			CameraPathAnimator obj = (CameraPathAnimator)o;
			float ret = obj.editorPercentage;
			LuaDLL.lua_pushnumber(L, ret);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o, "attempt to index editorPercentage on a nil value");
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int get_nearestOffset(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			CameraPathAnimator obj = (CameraPathAnimator)o;
			float ret = obj.nearestOffset;
			LuaDLL.lua_pushnumber(L, ret);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o, "attempt to index nearestOffset on a nil value");
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int get_startPercent(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			CameraPathAnimator obj = (CameraPathAnimator)o;
			float ret = obj.startPercent;
			LuaDLL.lua_pushnumber(L, ret);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o, "attempt to index startPercent on a nil value");
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int get_animateFOV(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			CameraPathAnimator obj = (CameraPathAnimator)o;
			bool ret = obj.animateFOV;
			LuaDLL.lua_pushboolean(L, ret);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o, "attempt to index animateFOV on a nil value");
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int get_targetModeUp(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			CameraPathAnimator obj = (CameraPathAnimator)o;
			UnityEngine.Vector3 ret = obj.targetModeUp;
			ToLua.Push(L, ret);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o, "attempt to index targetModeUp on a nil value");
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int get_lockZRotation(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			CameraPathAnimator obj = (CameraPathAnimator)o;
			bool ret = obj.lockZRotation;
			LuaDLL.lua_pushboolean(L, ret);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o, "attempt to index lockZRotation on a nil value");
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int get_sensitivity(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			CameraPathAnimator obj = (CameraPathAnimator)o;
			float ret = obj.sensitivity;
			LuaDLL.lua_pushnumber(L, ret);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o, "attempt to index sensitivity on a nil value");
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int get_minX(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			CameraPathAnimator obj = (CameraPathAnimator)o;
			float ret = obj.minX;
			LuaDLL.lua_pushnumber(L, ret);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o, "attempt to index minX on a nil value");
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int get_maxX(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			CameraPathAnimator obj = (CameraPathAnimator)o;
			float ret = obj.maxX;
			LuaDLL.lua_pushnumber(L, ret);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o, "attempt to index maxX on a nil value");
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int get_animatedObjectStartPosition(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			CameraPathAnimator obj = (CameraPathAnimator)o;
			UnityEngine.Vector3 ret = obj.animatedObjectStartPosition;
			ToLua.Push(L, ret);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o, "attempt to index animatedObjectStartPosition on a nil value");
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int get_animatedObjectStartRotation(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			CameraPathAnimator obj = (CameraPathAnimator)o;
			UnityEngine.Quaternion ret = obj.animatedObjectStartRotation;
			ToLua.Push(L, ret);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o, "attempt to index animatedObjectStartRotation on a nil value");
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int get_pathSpeed(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			CameraPathAnimator obj = (CameraPathAnimator)o;
			float ret = obj.pathSpeed;
			LuaDLL.lua_pushnumber(L, ret);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o, "attempt to index pathSpeed on a nil value");
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int get_animationTime(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			CameraPathAnimator obj = (CameraPathAnimator)o;
			float ret = obj.animationTime;
			LuaDLL.lua_pushnumber(L, ret);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o, "attempt to index animationTime on a nil value");
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int get_currentTime(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			CameraPathAnimator obj = (CameraPathAnimator)o;
			float ret = obj.currentTime;
			LuaDLL.lua_pushnumber(L, ret);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o, "attempt to index currentTime on a nil value");
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int get_isPlaying(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			CameraPathAnimator obj = (CameraPathAnimator)o;
			bool ret = obj.isPlaying;
			LuaDLL.lua_pushboolean(L, ret);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o, "attempt to index isPlaying on a nil value");
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int get_percentage(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			CameraPathAnimator obj = (CameraPathAnimator)o;
			float ret = obj.percentage;
			LuaDLL.lua_pushnumber(L, ret);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o, "attempt to index percentage on a nil value");
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int get_pingPongGoingForward(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			CameraPathAnimator obj = (CameraPathAnimator)o;
			bool ret = obj.pingPongGoingForward;
			LuaDLL.lua_pushboolean(L, ret);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o, "attempt to index pingPongGoingForward on a nil value");
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int get_cameraPath(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			CameraPathAnimator obj = (CameraPathAnimator)o;
			CameraPath ret = obj.cameraPath;
			ToLua.Push(L, ret);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o, "attempt to index cameraPath on a nil value");
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int get_dynamicNormalisation(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			CameraPathAnimator obj = (CameraPathAnimator)o;
			bool ret = obj.dynamicNormalisation;
			LuaDLL.lua_pushboolean(L, ret);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o, "attempt to index dynamicNormalisation on a nil value");
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int get_orientationMode(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			CameraPathAnimator obj = (CameraPathAnimator)o;
			CameraPathAnimator.orientationModes ret = obj.orientationMode;
			ToLua.Push(L, ret);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o, "attempt to index orientationMode on a nil value");
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int get_isCamera(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			CameraPathAnimator obj = (CameraPathAnimator)o;
			bool ret = obj.isCamera;
			LuaDLL.lua_pushboolean(L, ret);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o, "attempt to index isCamera on a nil value");
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int get_animateSceneObjectInEditor(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			CameraPathAnimator obj = (CameraPathAnimator)o;
			bool ret = obj.animateSceneObjectInEditor;
			LuaDLL.lua_pushboolean(L, ret);
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o, "attempt to index animateSceneObjectInEditor on a nil value");
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int get_AnimationStartedEvent(IntPtr L)
	{
		ToLua.Push(L, new EventObject(typeof(CameraPathAnimator.AnimationStartedEventHandler)));
		return 1;
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int get_AnimationPausedEvent(IntPtr L)
	{
		ToLua.Push(L, new EventObject(typeof(CameraPathAnimator.AnimationPausedEventHandler)));
		return 1;
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int get_AnimationStoppedEvent(IntPtr L)
	{
		ToLua.Push(L, new EventObject(typeof(CameraPathAnimator.AnimationStoppedEventHandler)));
		return 1;
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int get_AnimationFinishedEvent(IntPtr L)
	{
		ToLua.Push(L, new EventObject(typeof(CameraPathAnimator.AnimationFinishedEventHandler)));
		return 1;
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int get_AnimationLoopedEvent(IntPtr L)
	{
		ToLua.Push(L, new EventObject(typeof(CameraPathAnimator.AnimationLoopedEventHandler)));
		return 1;
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int get_AnimationPingPongEvent(IntPtr L)
	{
		ToLua.Push(L, new EventObject(typeof(CameraPathAnimator.AnimationPingPongEventHandler)));
		return 1;
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int get_AnimationPointReachedEvent(IntPtr L)
	{
		ToLua.Push(L, new EventObject(typeof(CameraPathAnimator.AnimationPointReachedEventHandler)));
		return 1;
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int get_AnimationPointReachedWithNumberEvent(IntPtr L)
	{
		ToLua.Push(L, new EventObject(typeof(CameraPathAnimator.AnimationPointReachedWithNumberEventHandler)));
		return 1;
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int get_AnimationCustomEvent(IntPtr L)
	{
		ToLua.Push(L, new EventObject(typeof(CameraPathAnimator.AnimationCustomEventHandler)));
		return 1;
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int set_minimumCameraSpeed(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			CameraPathAnimator obj = (CameraPathAnimator)o;
			float arg0 = (float)LuaDLL.luaL_checknumber(L, 2);
			obj.minimumCameraSpeed = arg0;
			return 0;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o, "attempt to index minimumCameraSpeed on a nil value");
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int set_orientationTarget(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			CameraPathAnimator obj = (CameraPathAnimator)o;
			UnityEngine.Transform arg0 = (UnityEngine.Transform)ToLua.CheckObject<UnityEngine.Transform>(L, 2);
			obj.orientationTarget = arg0;
			return 0;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o, "attempt to index orientationTarget on a nil value");
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int set_playOnStart(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			CameraPathAnimator obj = (CameraPathAnimator)o;
			bool arg0 = LuaDLL.luaL_checkboolean(L, 2);
			obj.playOnStart = arg0;
			return 0;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o, "attempt to index playOnStart on a nil value");
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int set_animationObject(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			CameraPathAnimator obj = (CameraPathAnimator)o;
			UnityEngine.Transform arg0 = (UnityEngine.Transform)ToLua.CheckObject<UnityEngine.Transform>(L, 2);
			obj.animationObject = arg0;
			return 0;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o, "attempt to index animationObject on a nil value");
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int set_animationMode(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			CameraPathAnimator obj = (CameraPathAnimator)o;
			CameraPathAnimator.animationModes arg0 = (CameraPathAnimator.animationModes)ToLua.CheckObject(L, 2, typeof(CameraPathAnimator.animationModes));
			obj.animationMode = arg0;
			return 0;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o, "attempt to index animationMode on a nil value");
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int set_smoothOrientationModeChanges(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			CameraPathAnimator obj = (CameraPathAnimator)o;
			bool arg0 = LuaDLL.luaL_checkboolean(L, 2);
			obj.smoothOrientationModeChanges = arg0;
			return 0;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o, "attempt to index smoothOrientationModeChanges on a nil value");
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int set_orientationModeLerpTime(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			CameraPathAnimator obj = (CameraPathAnimator)o;
			float arg0 = (float)LuaDLL.luaL_checknumber(L, 2);
			obj.orientationModeLerpTime = arg0;
			return 0;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o, "attempt to index orientationModeLerpTime on a nil value");
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int set_fixedOrientaion(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			CameraPathAnimator obj = (CameraPathAnimator)o;
			UnityEngine.Vector3 arg0 = ToLua.ToVector3(L, 2);
			obj.fixedOrientaion = arg0;
			return 0;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o, "attempt to index fixedOrientaion on a nil value");
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int set_fixedPosition(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			CameraPathAnimator obj = (CameraPathAnimator)o;
			UnityEngine.Vector3 arg0 = ToLua.ToVector3(L, 2);
			obj.fixedPosition = arg0;
			return 0;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o, "attempt to index fixedPosition on a nil value");
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int set_normalised(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			CameraPathAnimator obj = (CameraPathAnimator)o;
			bool arg0 = LuaDLL.luaL_checkboolean(L, 2);
			obj.normalised = arg0;
			return 0;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o, "attempt to index normalised on a nil value");
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int set_editorPercentage(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			CameraPathAnimator obj = (CameraPathAnimator)o;
			float arg0 = (float)LuaDLL.luaL_checknumber(L, 2);
			obj.editorPercentage = arg0;
			return 0;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o, "attempt to index editorPercentage on a nil value");
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int set_nearestOffset(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			CameraPathAnimator obj = (CameraPathAnimator)o;
			float arg0 = (float)LuaDLL.luaL_checknumber(L, 2);
			obj.nearestOffset = arg0;
			return 0;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o, "attempt to index nearestOffset on a nil value");
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int set_startPercent(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			CameraPathAnimator obj = (CameraPathAnimator)o;
			float arg0 = (float)LuaDLL.luaL_checknumber(L, 2);
			obj.startPercent = arg0;
			return 0;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o, "attempt to index startPercent on a nil value");
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int set_animateFOV(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			CameraPathAnimator obj = (CameraPathAnimator)o;
			bool arg0 = LuaDLL.luaL_checkboolean(L, 2);
			obj.animateFOV = arg0;
			return 0;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o, "attempt to index animateFOV on a nil value");
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int set_targetModeUp(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			CameraPathAnimator obj = (CameraPathAnimator)o;
			UnityEngine.Vector3 arg0 = ToLua.ToVector3(L, 2);
			obj.targetModeUp = arg0;
			return 0;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o, "attempt to index targetModeUp on a nil value");
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int set_lockZRotation(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			CameraPathAnimator obj = (CameraPathAnimator)o;
			bool arg0 = LuaDLL.luaL_checkboolean(L, 2);
			obj.lockZRotation = arg0;
			return 0;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o, "attempt to index lockZRotation on a nil value");
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int set_sensitivity(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			CameraPathAnimator obj = (CameraPathAnimator)o;
			float arg0 = (float)LuaDLL.luaL_checknumber(L, 2);
			obj.sensitivity = arg0;
			return 0;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o, "attempt to index sensitivity on a nil value");
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int set_minX(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			CameraPathAnimator obj = (CameraPathAnimator)o;
			float arg0 = (float)LuaDLL.luaL_checknumber(L, 2);
			obj.minX = arg0;
			return 0;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o, "attempt to index minX on a nil value");
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int set_maxX(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			CameraPathAnimator obj = (CameraPathAnimator)o;
			float arg0 = (float)LuaDLL.luaL_checknumber(L, 2);
			obj.maxX = arg0;
			return 0;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o, "attempt to index maxX on a nil value");
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int set_animatedObjectStartPosition(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			CameraPathAnimator obj = (CameraPathAnimator)o;
			UnityEngine.Vector3 arg0 = ToLua.ToVector3(L, 2);
			obj.animatedObjectStartPosition = arg0;
			return 0;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o, "attempt to index animatedObjectStartPosition on a nil value");
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int set_animatedObjectStartRotation(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			CameraPathAnimator obj = (CameraPathAnimator)o;
			UnityEngine.Quaternion arg0 = ToLua.ToQuaternion(L, 2);
			obj.animatedObjectStartRotation = arg0;
			return 0;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o, "attempt to index animatedObjectStartRotation on a nil value");
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int set_pathSpeed(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			CameraPathAnimator obj = (CameraPathAnimator)o;
			float arg0 = (float)LuaDLL.luaL_checknumber(L, 2);
			obj.pathSpeed = arg0;
			return 0;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o, "attempt to index pathSpeed on a nil value");
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int set_animationTime(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			CameraPathAnimator obj = (CameraPathAnimator)o;
			float arg0 = (float)LuaDLL.luaL_checknumber(L, 2);
			obj.animationTime = arg0;
			return 0;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o, "attempt to index animationTime on a nil value");
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int set_dynamicNormalisation(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			CameraPathAnimator obj = (CameraPathAnimator)o;
			bool arg0 = LuaDLL.luaL_checkboolean(L, 2);
			obj.dynamicNormalisation = arg0;
			return 0;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o, "attempt to index dynamicNormalisation on a nil value");
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int set_orientationMode(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			CameraPathAnimator obj = (CameraPathAnimator)o;
			CameraPathAnimator.orientationModes arg0 = (CameraPathAnimator.orientationModes)ToLua.CheckObject(L, 2, typeof(CameraPathAnimator.orientationModes));
			obj.orientationMode = arg0;
			return 0;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o, "attempt to index orientationMode on a nil value");
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int set_animateSceneObjectInEditor(IntPtr L)
	{
		object o = null;

		try
		{
			o = ToLua.ToObject(L, 1);
			CameraPathAnimator obj = (CameraPathAnimator)o;
			bool arg0 = LuaDLL.luaL_checkboolean(L, 2);
			obj.animateSceneObjectInEditor = arg0;
			return 0;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e, o, "attempt to index animateSceneObjectInEditor on a nil value");
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int set_AnimationStartedEvent(IntPtr L)
	{
		try
		{
			CameraPathAnimator obj = (CameraPathAnimator)ToLua.CheckObject(L, 1, typeof(CameraPathAnimator));
			EventObject arg0 = null;

			if (LuaDLL.lua_isuserdata(L, 2) != 0)
			{
				arg0 = (EventObject)ToLua.ToObject(L, 2);
			}
			else
			{
				return LuaDLL.luaL_throw(L, "The event 'CameraPathAnimator.AnimationStartedEvent' can only appear on the left hand side of += or -= when used outside of the type 'CameraPathAnimator'");
			}

			if (arg0.op == EventOp.Add)
			{
				CameraPathAnimator.AnimationStartedEventHandler ev = (CameraPathAnimator.AnimationStartedEventHandler)arg0.func;
				obj.AnimationStartedEvent += ev;
			}
			else if (arg0.op == EventOp.Sub)
			{
				CameraPathAnimator.AnimationStartedEventHandler ev = (CameraPathAnimator.AnimationStartedEventHandler)arg0.func;
				obj.AnimationStartedEvent -= ev;
			}

			return 0;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int set_AnimationPausedEvent(IntPtr L)
	{
		try
		{
			CameraPathAnimator obj = (CameraPathAnimator)ToLua.CheckObject(L, 1, typeof(CameraPathAnimator));
			EventObject arg0 = null;

			if (LuaDLL.lua_isuserdata(L, 2) != 0)
			{
				arg0 = (EventObject)ToLua.ToObject(L, 2);
			}
			else
			{
				return LuaDLL.luaL_throw(L, "The event 'CameraPathAnimator.AnimationPausedEvent' can only appear on the left hand side of += or -= when used outside of the type 'CameraPathAnimator'");
			}

			if (arg0.op == EventOp.Add)
			{
				CameraPathAnimator.AnimationPausedEventHandler ev = (CameraPathAnimator.AnimationPausedEventHandler)arg0.func;
				obj.AnimationPausedEvent += ev;
			}
			else if (arg0.op == EventOp.Sub)
			{
				CameraPathAnimator.AnimationPausedEventHandler ev = (CameraPathAnimator.AnimationPausedEventHandler)arg0.func;
				obj.AnimationPausedEvent -= ev;
			}

			return 0;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int set_AnimationStoppedEvent(IntPtr L)
	{
		try
		{
			CameraPathAnimator obj = (CameraPathAnimator)ToLua.CheckObject(L, 1, typeof(CameraPathAnimator));
			EventObject arg0 = null;

			if (LuaDLL.lua_isuserdata(L, 2) != 0)
			{
				arg0 = (EventObject)ToLua.ToObject(L, 2);
			}
			else
			{
				return LuaDLL.luaL_throw(L, "The event 'CameraPathAnimator.AnimationStoppedEvent' can only appear on the left hand side of += or -= when used outside of the type 'CameraPathAnimator'");
			}

			if (arg0.op == EventOp.Add)
			{
				CameraPathAnimator.AnimationStoppedEventHandler ev = (CameraPathAnimator.AnimationStoppedEventHandler)arg0.func;
				obj.AnimationStoppedEvent += ev;
			}
			else if (arg0.op == EventOp.Sub)
			{
				CameraPathAnimator.AnimationStoppedEventHandler ev = (CameraPathAnimator.AnimationStoppedEventHandler)arg0.func;
				obj.AnimationStoppedEvent -= ev;
			}

			return 0;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int set_AnimationFinishedEvent(IntPtr L)
	{
		try
		{
			CameraPathAnimator obj = (CameraPathAnimator)ToLua.CheckObject(L, 1, typeof(CameraPathAnimator));
			EventObject arg0 = null;

			if (LuaDLL.lua_isuserdata(L, 2) != 0)
			{
				arg0 = (EventObject)ToLua.ToObject(L, 2);
			}
			else
			{
				return LuaDLL.luaL_throw(L, "The event 'CameraPathAnimator.AnimationFinishedEvent' can only appear on the left hand side of += or -= when used outside of the type 'CameraPathAnimator'");
			}

			if (arg0.op == EventOp.Add)
			{
				CameraPathAnimator.AnimationFinishedEventHandler ev = (CameraPathAnimator.AnimationFinishedEventHandler)arg0.func;
				obj.AnimationFinishedEvent += ev;
			}
			else if (arg0.op == EventOp.Sub)
			{
				CameraPathAnimator.AnimationFinishedEventHandler ev = (CameraPathAnimator.AnimationFinishedEventHandler)arg0.func;
				obj.AnimationFinishedEvent -= ev;
			}

			return 0;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int set_AnimationLoopedEvent(IntPtr L)
	{
		try
		{
			CameraPathAnimator obj = (CameraPathAnimator)ToLua.CheckObject(L, 1, typeof(CameraPathAnimator));
			EventObject arg0 = null;

			if (LuaDLL.lua_isuserdata(L, 2) != 0)
			{
				arg0 = (EventObject)ToLua.ToObject(L, 2);
			}
			else
			{
				return LuaDLL.luaL_throw(L, "The event 'CameraPathAnimator.AnimationLoopedEvent' can only appear on the left hand side of += or -= when used outside of the type 'CameraPathAnimator'");
			}

			if (arg0.op == EventOp.Add)
			{
				CameraPathAnimator.AnimationLoopedEventHandler ev = (CameraPathAnimator.AnimationLoopedEventHandler)arg0.func;
				obj.AnimationLoopedEvent += ev;
			}
			else if (arg0.op == EventOp.Sub)
			{
				CameraPathAnimator.AnimationLoopedEventHandler ev = (CameraPathAnimator.AnimationLoopedEventHandler)arg0.func;
				obj.AnimationLoopedEvent -= ev;
			}

			return 0;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int set_AnimationPingPongEvent(IntPtr L)
	{
		try
		{
			CameraPathAnimator obj = (CameraPathAnimator)ToLua.CheckObject(L, 1, typeof(CameraPathAnimator));
			EventObject arg0 = null;

			if (LuaDLL.lua_isuserdata(L, 2) != 0)
			{
				arg0 = (EventObject)ToLua.ToObject(L, 2);
			}
			else
			{
				return LuaDLL.luaL_throw(L, "The event 'CameraPathAnimator.AnimationPingPongEvent' can only appear on the left hand side of += or -= when used outside of the type 'CameraPathAnimator'");
			}

			if (arg0.op == EventOp.Add)
			{
				CameraPathAnimator.AnimationPingPongEventHandler ev = (CameraPathAnimator.AnimationPingPongEventHandler)arg0.func;
				obj.AnimationPingPongEvent += ev;
			}
			else if (arg0.op == EventOp.Sub)
			{
				CameraPathAnimator.AnimationPingPongEventHandler ev = (CameraPathAnimator.AnimationPingPongEventHandler)arg0.func;
				obj.AnimationPingPongEvent -= ev;
			}

			return 0;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int set_AnimationPointReachedEvent(IntPtr L)
	{
		try
		{
			CameraPathAnimator obj = (CameraPathAnimator)ToLua.CheckObject(L, 1, typeof(CameraPathAnimator));
			EventObject arg0 = null;

			if (LuaDLL.lua_isuserdata(L, 2) != 0)
			{
				arg0 = (EventObject)ToLua.ToObject(L, 2);
			}
			else
			{
				return LuaDLL.luaL_throw(L, "The event 'CameraPathAnimator.AnimationPointReachedEvent' can only appear on the left hand side of += or -= when used outside of the type 'CameraPathAnimator'");
			}

			if (arg0.op == EventOp.Add)
			{
				CameraPathAnimator.AnimationPointReachedEventHandler ev = (CameraPathAnimator.AnimationPointReachedEventHandler)arg0.func;
				obj.AnimationPointReachedEvent += ev;
			}
			else if (arg0.op == EventOp.Sub)
			{
				CameraPathAnimator.AnimationPointReachedEventHandler ev = (CameraPathAnimator.AnimationPointReachedEventHandler)arg0.func;
				obj.AnimationPointReachedEvent -= ev;
			}

			return 0;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int set_AnimationPointReachedWithNumberEvent(IntPtr L)
	{
		try
		{
			CameraPathAnimator obj = (CameraPathAnimator)ToLua.CheckObject(L, 1, typeof(CameraPathAnimator));
			EventObject arg0 = null;

			if (LuaDLL.lua_isuserdata(L, 2) != 0)
			{
				arg0 = (EventObject)ToLua.ToObject(L, 2);
			}
			else
			{
				return LuaDLL.luaL_throw(L, "The event 'CameraPathAnimator.AnimationPointReachedWithNumberEvent' can only appear on the left hand side of += or -= when used outside of the type 'CameraPathAnimator'");
			}

			if (arg0.op == EventOp.Add)
			{
				CameraPathAnimator.AnimationPointReachedWithNumberEventHandler ev = (CameraPathAnimator.AnimationPointReachedWithNumberEventHandler)arg0.func;
				obj.AnimationPointReachedWithNumberEvent += ev;
			}
			else if (arg0.op == EventOp.Sub)
			{
				CameraPathAnimator.AnimationPointReachedWithNumberEventHandler ev = (CameraPathAnimator.AnimationPointReachedWithNumberEventHandler)arg0.func;
				obj.AnimationPointReachedWithNumberEvent -= ev;
			}

			return 0;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int set_AnimationCustomEvent(IntPtr L)
	{
		try
		{
			CameraPathAnimator obj = (CameraPathAnimator)ToLua.CheckObject(L, 1, typeof(CameraPathAnimator));
			EventObject arg0 = null;

			if (LuaDLL.lua_isuserdata(L, 2) != 0)
			{
				arg0 = (EventObject)ToLua.ToObject(L, 2);
			}
			else
			{
				return LuaDLL.luaL_throw(L, "The event 'CameraPathAnimator.AnimationCustomEvent' can only appear on the left hand side of += or -= when used outside of the type 'CameraPathAnimator'");
			}

			if (arg0.op == EventOp.Add)
			{
				CameraPathAnimator.AnimationCustomEventHandler ev = (CameraPathAnimator.AnimationCustomEventHandler)arg0.func;
				obj.AnimationCustomEvent += ev;
			}
			else if (arg0.op == EventOp.Sub)
			{
				CameraPathAnimator.AnimationCustomEventHandler ev = (CameraPathAnimator.AnimationCustomEventHandler)arg0.func;
				obj.AnimationCustomEvent -= ev;
			}

			return 0;
		}
		catch (Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int CameraPathAnimator_AnimationCustomEventHandler(IntPtr L)
	{
		try
		{
			int count = LuaDLL.lua_gettop(L);
			LuaFunction func = ToLua.CheckLuaFunction(L, 1);

			if (count == 1)
			{
				Delegate arg1 = DelegateTraits<CameraPathAnimator.AnimationCustomEventHandler>.Create(func);
				ToLua.Push(L, arg1);
			}
			else
			{
				LuaTable self = ToLua.CheckLuaTable(L, 2);
				Delegate arg1 = DelegateTraits<CameraPathAnimator.AnimationCustomEventHandler>.Create(func, self);
				ToLua.Push(L, arg1);
			}
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int CameraPathAnimator_AnimationPointReachedWithNumberEventHandler(IntPtr L)
	{
		try
		{
			int count = LuaDLL.lua_gettop(L);
			LuaFunction func = ToLua.CheckLuaFunction(L, 1);

			if (count == 1)
			{
				Delegate arg1 = DelegateTraits<CameraPathAnimator.AnimationPointReachedWithNumberEventHandler>.Create(func);
				ToLua.Push(L, arg1);
			}
			else
			{
				LuaTable self = ToLua.CheckLuaTable(L, 2);
				Delegate arg1 = DelegateTraits<CameraPathAnimator.AnimationPointReachedWithNumberEventHandler>.Create(func, self);
				ToLua.Push(L, arg1);
			}
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int CameraPathAnimator_AnimationPointReachedEventHandler(IntPtr L)
	{
		try
		{
			int count = LuaDLL.lua_gettop(L);
			LuaFunction func = ToLua.CheckLuaFunction(L, 1);

			if (count == 1)
			{
				Delegate arg1 = DelegateTraits<CameraPathAnimator.AnimationPointReachedEventHandler>.Create(func);
				ToLua.Push(L, arg1);
			}
			else
			{
				LuaTable self = ToLua.CheckLuaTable(L, 2);
				Delegate arg1 = DelegateTraits<CameraPathAnimator.AnimationPointReachedEventHandler>.Create(func, self);
				ToLua.Push(L, arg1);
			}
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int CameraPathAnimator_AnimationPingPongEventHandler(IntPtr L)
	{
		try
		{
			int count = LuaDLL.lua_gettop(L);
			LuaFunction func = ToLua.CheckLuaFunction(L, 1);

			if (count == 1)
			{
				Delegate arg1 = DelegateTraits<CameraPathAnimator.AnimationPingPongEventHandler>.Create(func);
				ToLua.Push(L, arg1);
			}
			else
			{
				LuaTable self = ToLua.CheckLuaTable(L, 2);
				Delegate arg1 = DelegateTraits<CameraPathAnimator.AnimationPingPongEventHandler>.Create(func, self);
				ToLua.Push(L, arg1);
			}
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int CameraPathAnimator_AnimationLoopedEventHandler(IntPtr L)
	{
		try
		{
			int count = LuaDLL.lua_gettop(L);
			LuaFunction func = ToLua.CheckLuaFunction(L, 1);

			if (count == 1)
			{
				Delegate arg1 = DelegateTraits<CameraPathAnimator.AnimationLoopedEventHandler>.Create(func);
				ToLua.Push(L, arg1);
			}
			else
			{
				LuaTable self = ToLua.CheckLuaTable(L, 2);
				Delegate arg1 = DelegateTraits<CameraPathAnimator.AnimationLoopedEventHandler>.Create(func, self);
				ToLua.Push(L, arg1);
			}
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int CameraPathAnimator_AnimationFinishedEventHandler(IntPtr L)
	{
		try
		{
			int count = LuaDLL.lua_gettop(L);
			LuaFunction func = ToLua.CheckLuaFunction(L, 1);

			if (count == 1)
			{
				Delegate arg1 = DelegateTraits<CameraPathAnimator.AnimationFinishedEventHandler>.Create(func);
				ToLua.Push(L, arg1);
			}
			else
			{
				LuaTable self = ToLua.CheckLuaTable(L, 2);
				Delegate arg1 = DelegateTraits<CameraPathAnimator.AnimationFinishedEventHandler>.Create(func, self);
				ToLua.Push(L, arg1);
			}
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int CameraPathAnimator_AnimationStoppedEventHandler(IntPtr L)
	{
		try
		{
			int count = LuaDLL.lua_gettop(L);
			LuaFunction func = ToLua.CheckLuaFunction(L, 1);

			if (count == 1)
			{
				Delegate arg1 = DelegateTraits<CameraPathAnimator.AnimationStoppedEventHandler>.Create(func);
				ToLua.Push(L, arg1);
			}
			else
			{
				LuaTable self = ToLua.CheckLuaTable(L, 2);
				Delegate arg1 = DelegateTraits<CameraPathAnimator.AnimationStoppedEventHandler>.Create(func, self);
				ToLua.Push(L, arg1);
			}
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int CameraPathAnimator_AnimationPausedEventHandler(IntPtr L)
	{
		try
		{
			int count = LuaDLL.lua_gettop(L);
			LuaFunction func = ToLua.CheckLuaFunction(L, 1);

			if (count == 1)
			{
				Delegate arg1 = DelegateTraits<CameraPathAnimator.AnimationPausedEventHandler>.Create(func);
				ToLua.Push(L, arg1);
			}
			else
			{
				LuaTable self = ToLua.CheckLuaTable(L, 2);
				Delegate arg1 = DelegateTraits<CameraPathAnimator.AnimationPausedEventHandler>.Create(func, self);
				ToLua.Push(L, arg1);
			}
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int CameraPathAnimator_AnimationStartedEventHandler(IntPtr L)
	{
		try
		{
			int count = LuaDLL.lua_gettop(L);
			LuaFunction func = ToLua.CheckLuaFunction(L, 1);

			if (count == 1)
			{
				Delegate arg1 = DelegateTraits<CameraPathAnimator.AnimationStartedEventHandler>.Create(func);
				ToLua.Push(L, arg1);
			}
			else
			{
				LuaTable self = ToLua.CheckLuaTable(L, 2);
				Delegate arg1 = DelegateTraits<CameraPathAnimator.AnimationStartedEventHandler>.Create(func, self);
				ToLua.Push(L, arg1);
			}
			return 1;
		}
		catch(Exception e)
		{
			return LuaDLL.toluaL_exception(L, e);
		}
	}
}

